package cn.bunny.pattern4.demo2;

public class FilterCameraDecorator extends CameraDecorator {
    public FilterCameraDecorator(Camera camera) {
        super(camera);
    }

    /**
     * 操作
     */
    @Override
    public void operation() {
        camera.operation();
        System.out.println("滤镜功能。。。");
    }
}
